import { CardDataType } from "@/util/model/interface";
import BaseStore from "../baseStore";
import baseHttp from "@/service/base";
import { action, makeObservable } from "mobx";
import AppConfig from "@/service/apiConfig/appConfig";

class AppStore extends BaseStore<CardDataType> {
    constructor() {
        super(AppConfig)
        makeObservable(this, {
            getIosConfig: action,
        })
    }
    // 设置Ios 配置
    async setIosConfig(id: number, param) {
        return await baseHttp.put(AppConfig.IOSAPPPUSH + id, param)
    }
    // 获取Ios 配置
    async getIosConfig(id: number) {
        return await baseHttp.get(AppConfig.IOSAPPPUSH + "/" + id, {})
    }
    // 设置hw 配置
    async setHwConfig(id: number, param) {
        return await baseHttp.put(AppConfig.HUAWEIAPPPUSH + id, param)
    }
    // 获取HW 配置
    async getHwConfig(id: number) {
        return await baseHttp.get(AppConfig.HUAWEIAPPPUSH + "/" + id, {})
    }

    // 设置op 配置
    async setOPConfig(id: number, param) {
        return await baseHttp.put(AppConfig.OPPOAPPPUSH + id, param)
    }
    // 获取op 配置
    async getOpConfig(id: number) {
        return await baseHttp.get(AppConfig.OPPOAPPPUSH + "/" + id, {})
    }

    // 设置op 配置
    async setVivoConfig(id: number, param) {
        return await baseHttp.put(AppConfig.VIVOAPPPUSH + id, param)
    }
    // 获取op 配置
    async getVivoConfig(id: number) {
        return await baseHttp.get(AppConfig.VIVOAPPPUSH + "/" + id, {})
    }

    // 设置wx 配置
    async setWechatConfig(id: number, param) {
        return await baseHttp.put(AppConfig.WechatConfig + id, param)
    }
    // 获取wx 配置
    async getWechatConfig(id: number) {
        return await baseHttp.get(AppConfig.WechatConfig + "/" + id, {})
    }

    // 设置wx 配置
    async setXmConfig(id: number, param) {
        return await baseHttp.put(AppConfig.XIAOMIAPPPUSH + id, param)
    }
    // 获取wx 配置
    async getXmConfig(id: number) {
        return await baseHttp.get(AppConfig.XIAOMIAPPPUSH + "/" + id, {})
    }

    // 设置wx 配置
    async setAlConfig(id: number, param) {
        return await baseHttp.put(AppConfig.ALCONFIG + id, param)
    }
    // 获取wx 配置
    async getAlConfig(id: number) {
        return await baseHttp.get(AppConfig.ALCONFIG + "/" + id, {})
    }
}
export default new AppStore();